Subject: Re: bug#45962: ‘binutils-mesboot0’includes non-zero timestamps in ar archives

From: Ludovic Courtès <[email-masked]>
Date: Mon, 08 Mar 2021 15:13:04 +0100

Howdy Janneke!

Jan Nieuwenhuizen <[email-masked]> skribis:

> Currently, we avoid using non-bootstrapped binaries in the bootstrap,
> that includes 'xz'; earlier in the bootstrap that includes also 'patch'.
>
> See also gcc-core-mesboot0: it applies the patch in a manual phase.  So
> I'm not sure if we want to start depending on 'xz' an this stage?

Probably not, good point!

I can think of two possibilities, then: (1) apply the patch in a phase
rather than via the ‘patches’ field, and (2) arrange so that
‘patch-and-repack’ does not compress the patched code or compresses it
with the bootstrap gzip.

My understanding is that #2 may be doable now thanks to Maxim’s recent
changes.  I’ll take a look!

Thanks,
Ludo’.